Bug 1267781 - After upgrade to fedora 23, video sharing no longer works with Samsung TV
After upgrade to fedora 23, video sharing no longer works with Samsung TV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rygel (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 20:37 EDT by Bill
Modified: 2015-10-26 11:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-26 11:34:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill 2015-09-30 20:37:29 EDT
Description of problem:


Under fedora 22 the gnome media sharing was enabled to share a folder containing a number of videos in various formats. After upgrading to f23, the media sharing remained intact but a Samsung TV can no loner see any of the videos although it can see the shared folder. 


How reproducible:


Steps to Reproduce:

On Samsung TV browse to video content on listed fedora share. 

Actual results:
 
The fedora share is listed. Selecting that and then "folders", the tv lists the shared folder but reports that no videos are found.


Expected results:

The videos contained in the shared folder should be visible to the tv.

Additional info:

I have logged this under rygel as I believe that is the software that gnome uses for media sharing.
Comment 1 Bill 2015-09-30 20:46:12 EDT
Forget to give versions.

Rygel package is 0.28.0-1.fc23
gnome-desktop3 is 3.18.0-1.fc23
Comment 2 Peter Robinson 2015-09-30 21:13:14 EDT
Can you try shutting down the firewall to see if that's an issue?
Comment 3 Bill 2015-09-30 21:19:10 EDT
I will try that when I get home this evening.
Comment 4 Bill 2015-10-01 04:31:57 EDT
systemctl status firewalld
● firewalld.service - firewalld - dynamic firewall daemon
   Loaded: loaded (/usr/lib/systemd/system/firewalld.service; disabled; vendor preset: enabled)
   Active: inactive (dead)

disabling and stopping firewalld didn't help.
Comment 5 Bill 2015-10-01 07:31:52 EDT
Just tried installing the bubbleuPnP app on my android phone and that gets the same result as the tv. It can see the fedora share but doesn't think there is any content. I never tried this app before so I can't say that it worked with f22 dlna server.
Comment 6 Peter Robinson 2015-10-01 07:39:50 EDT
Make sure there's no running rules:

iptables -L

Also you might want to try "setenforce 0" to make sure there's not any issues with selinux.

Did you upgrade from F-22 or do a clean install, you might want to relabel the filesystem if "setenforce 0" works.
Comment 7 Bill 2015-10-01 07:54:11 EDT
setenforce 0

Made no difference.

iptables -L
Chain INPUT (policy ACCEPT)
target     prot opt source               destination         
ACCEPT     udp  --  anywhere             anywhere             udp dpt:domain
ACCEPT     tcp  --  anywhere             anywhere             tcp dpt:domain
ACCEPT     udp  --  anywhere             anywhere             udp dpt:bootps
ACCEPT     tcp  --  anywhere             anywhere             tcp dpt:bootps

Chain FORWARD (policy ACCEPT)
target     prot opt source               destination         
ACCEPT     all  --  anywhere             192.168.122.0/24     ctstate RELATED,ESTABLISHED
ACCEPT     all  --  192.168.122.0/24     anywhere            
ACCEPT     all  --  anywhere             anywhere            
REJECT     all  --  anywhere             anywhere             reject-with icmp-port-unreachable
REJECT     all  --  anywhere             anywhere             reject-with icmp-port-unreachable

Chain OUTPUT (policy ACCEPT)
target     prot opt source               destination         
ACCEPT     udp  --  anywhere             anywhere             udp dpt:bootpc


Tried

[root@dell-lt ~]# systemctl disable iptables
[root@dell-lt ~]# systemctl stop iptables
Failed to stop iptables.service: Unit iptables.service not loaded.

Still no joy.

I upgraded to f23 via the new dnf  method.
Comment 8 Peter Robinson 2015-10-01 08:04:44 EDT
Do a "iptables -F" then do a "iptables -L" and check your output looks like:

Chain INPUT (policy ACCEPT)
target     prot opt source               destination         

Chain FORWARD (policy ACCEPT)
target     prot opt source               destination         

Chain OUTPUT (policy ACCEPT)
target     prot opt source               destination         

(ie the policy ACCEPT) and see how you get on.
Comment 9 Bill 2015-10-01 08:18:53 EDT
[root@dell-lt ~]# iptables -F
[root@dell-lt ~]# iptables -L
Chain INPUT (policy ACCEPT)
target     prot opt source               destination         

Chain FORWARD (policy ACCEPT)
target     prot opt source               destination         

Chain OUTPUT (policy ACCEPT)
target     prot opt source               destination 

Still no luck
Comment 10 Bill 2015-10-06 18:22:46 EDT
Another user has reported the same problem on the fedora forum. Can see folders but no files. I have asked them to update this bug with the details
Comment 11 Bill 2015-10-07 20:52:06 EDT
The other user posted:

"You can test the behavior if you go to "Movies", "Channels". There you can see your DLNA shares. you can see the folders but not the files.

And this is on the same computer - no network access. So it must be internal, maybe rights related. But I checked and everything looks OK."


I tried this from the "video" player. I guess this is what used to be called "totem"?. I get the same results. Under "Channels" I can see the share and the folders under that but no files are displayed.
Comment 12 Bill 2015-10-16 06:02:20 EDT
A new version of gnome (3.18.1) along with rygel 0.28.1 just came down the wire and the problem appears to be fixed.

Note You need to log in before you can comment on or make changes to this bug.